InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::LogColumns Struct Reference

Logging Columns. More...

`#include <LogColumns.h>`

## Public Member Functions
| LogColumns ()
| LogColumns (const bool _sampleNumber, const bool _seqNrSlotIndex, const bool _nodeID, const bool _lostSamples, const bool _accelerometer, const bool _compass, const bool _gyroscope, const bool _rssi, const bool _rtc, const int _quaternionEuler, const int _adc, const bool _status, const bool _accelHighG, const bool _pressure, const bool _temperature, const int _ima, const int _io, const int _custom, const bool _gps)
| LogColumns (std::wstring const &argString)
void | UpdateCount (std::wstring const &source)
void | SetIMUDefaults ()
void | SetAnalogDefaults ()
void | SetAllDefaults ()
std::wstring const | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
bool | sampleNumberEnabled
| Sample number is included.
bool | seqNrSlotIndexEnabled
| Detailed sample information (sequence number, index, slot) is included.
bool | nodeIDEnabled
| NodeID is included.
bool | lostSamplesEnabled
| Lost Samples is included.
bool | accelerometerEnabled
| Accelerometer data is included.
bool | compassEnabled
| Compass data is included.
bool | gyroscopeEnabled
| Gyroscope data is included.
bool | rssiEnabled
| Radio Signal Strength Indicator (RSSI) is included.
bool | rtcEnabled
| Real Time Clock (RTC) is included.
int | quaternionEulerCount
| Orientation is included: Quaternion (w, x, y, z) (1), Euler angles (roll, pitch, yaw) (2), both (3) or none (negative).
int | adcCount
| ADC values are included (negative to disable).
bool | statusEnabled
| Status data (battery, CPU Temperature, External Input) is included.
bool | accelerometerHighGEnabled
| High-G Accelerometer data is included.
bool | pressureEnabled
| Pressure data is included.
bool | temperatureEnabled
| Temperature data is included.
int | imaCount
| IMA values are included (negative to disable).
int | ioCount
| I/O values are included (negative to disable).
int | customCount
| Custom values are included (negative to disable).
bool | gpsEnabled
| GPS data is included (separate file or struct).
bool | statusRawEnabled
| Raw status data is included (separate file or struct).
bool | sensorsEnabled
| Sensor data per sensorID.

## Detailed Description

Logging Columns.

A struct to specify the enabled columns in a logfile.

## Constructor & Destructor Documentation

## ◆ LogColumns() [1/3]

inertia::LogColumns::LogColumns | ( |  | ) |

Default constructor.

## ◆ LogColumns() [2/3]

inertia::LogColumns::LogColumns | ( | const bool | _sampleNumber,
|  | const bool | _seqNrSlotIndex,
|  | const bool | _nodeID,
|  | const bool | _lostSamples,
|  | const bool | _accelerometer,
|  | const bool | _compass,
|  | const bool | _gyroscope,
|  | const bool | _rssi,
|  | const bool | _rtc,
|  | const int | _quaternionEuler,
|  | const int | _adc,
|  | const bool | _status,
|  | const bool | _accelHighG,
|  | const bool | _pressure,
|  | const bool | _temperature,
|  | const int | _ima,
|  | const int | _io,
|  | const int | _custom,
|  | const bool | _gps )

Constructor setting the availability of each member.

Parameters

  _sampleNumber | set sampleNumberEnabled
  _seqNrSlotIndex | set seqNrSlotIndexEnabled
  _nodeID | set nodeIDEnabled
  _lostSamples | set lostSamplesEnabled
  _accelerometer | set accelerometerEnabled
  _compass | set compassEnabled
  _gyroscope | set gyroscopeEnabled
  _rssi | set rssiEnabled
  _rtc | set rtcEnabled
  _quaternionEuler | set quaternionEulerCount
  _adc | set adcCount
  _status | set statusEnabled
  _accelHighG | set accelerometerHighGEnabled
  _pressure | set pressureEnabled
  _temperature | set temperatureEnabled
  _ima | set imaCount
  _io | set ioCount
  _custom | set customCount
  _gps | set gpsEnabled

## ◆ LogColumns() [3/3]

inertia::LogColumns::LogColumns | ( | std::wstring const & | argString | ) |

Constructor with string argument.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetOptionDescription()

const po::options_description inertia::LogColumns::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for LogColumns. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ SetAllDefaults()

void inertia::LogColumns::SetAllDefaults | ( |  | ) |

Enable all columns.

## ◆ SetAnalogDefaults()

void inertia::LogColumns::SetAnalogDefaults | ( |  | ) |

Enable the default columns for analog DAQ systems (Nexo, V-Mon).

## ◆ SetIMUDefaults()

void inertia::LogColumns::SetIMUDefaults | ( |  | ) |

Enable the default columns for IMU sensors (ProMove).

## ◆ ToString()

std::wstring const inertia::LogColumns::ToString | ( |  | ) | const

Get a string representation of this LogColumns. The string is compatible with GetOptionDescription() and LogColumns(std::wstring const&).

Returns
  the string

## ◆ UpdateCount()

void inertia::LogColumns::UpdateCount | ( | std::wstring const & | source | ) |

Adjust the ADC, IMA, IO and Custom count to the configuration settings of the nodes at the provided source. The count is not updated if a sensor configuration is not present.

Parameters

  source | The connection or logfile to get the info from

The documentation for this struct was generated from the following file:

- LogColumns.h